Skip to main content
`Ctrl`+`K`

# PetscSynchronizedFPrintf

Prints synchronized output to the specified file from several MPI processes. Output of the first process is followed by that of the second, etc.

## Synopsis

    PetscErrorCode PetscSynchronizedFPrintf(MPI_Comm comm, FILE *fp, const char format[], ...)

Not Collective

## Input Parameters

- comm - the MPI communicator

- fp - the file pointer

- format - the usual `printf()` format string

## Note

REQUIRES a intervening call to `PetscSynchronizedFlush()` for the information from all the processors to be printed.

## See Also

`PetscSynchronizedPrintf()`, `PetscSynchronizedFlush()`, `PetscFPrintf()`, `PetscFOpen()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscFFlush()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages